;*****************************************************************************
; Ce sous-programme est destin  tre utilis sur la Maquette  PIC16F877.
;
; Fonction : TEMPORISATION (On garde la main pendant un certain temps)
; 
;*****************************************************************************
; Dclarations DELAY
;*****************************************************************************
;
;DELAY		EQU	0x40		; utilis dans DELAYxxx 
;X_DELAY	EQU	0x41		; utilis dans X_DELAYxxx 
;*****************************************************************************
; Routines :
;	DELAY500	: tempo fixe
;	X_DELAY_500	: tempo ajustable (par W)
;*****************************************************************************
;
; Programme	DELAY.ASM
; mise  jour	31/03/00
; Auteur	WEISS Jacques
;
;*****************************************************************************
;*****************************************************************************
; Dpart de Sous-Programme
;*****************************************************************************
;*****************************************************************************
; Delay_time	= ((DELAY_value * 3) + 4) * Cycle_time
; DELAY_value	= (Delay_time - (4 * Cycle_time)) / (3 * Cycle_time)
;
; i.e. (@ 4MHz crystal)
; Delay_time	= ((32 * 3) + 4) * 1uSec
;		= 100uSec
; DELAY_value	= (500uSec - 4) / 3
;		= 165.33
;		= 165
;*****************************************************************************
DELAY500	MOVLW	D'165'		; +1		1 cycle
		MOVWF	DELAY		; +2		1 cycle
DELAY500_LOOP	DECFSZ	DELAY, F	; step 1	1 cycle
		GOTO	DELAY500_LOOP	; step 2	2 cycles
DELAY500_END	RETURN			; +3		2 cycles
;
X_DELAY500	MOVWF	X_DELAY		; +1		1 cycle
X_DELAY500_LOOP	CALL	DELAY500	; step1		wait 500uSec
		DECFSZ	X_DELAY, F	; step2		1 cycle
		GOTO	X_DELAY500_LOOP	; step3		2 cycles
X_DELAY500_END	RETURN			; +2		2 cycles



