
;*****************************************************************************
;
; Ce programme est destin  tester la Maquette  PIC16F877.
;
; On stimule tous les ports, sauf le port B et les 3 bits LSB du Port C 
; pour mesure  l'oscilloscope
; 
; Les 3 bits LSB du Port C et le port B est utilis pour l'affichage et le clavier
;
; Programme	TEST877b.INC
; mise  jour	31/03/00
; Auteur	WEISS Jacques
;
;*****************************************************************************
;*****************************************************************************

	list      p=16f877
	#include <p16f877.inc>
	
	__CONFIG _CP_OFF & _WDT_OFF & _BODEN_OFF & _PWRTE_OFF & _HS_OSC & _WRT_ENABLE_ON & _LVP_OFF & _DEBUG_OFF & _CPD_OFF 

;*****************************************************************************
; Dclarations TEST877b
;*****************************************************************************
RESET_V		EQU	0x0000		; Address of RESET Vector
ISR_V		EQU	0x0004		; Address of Interrupt Vector
OSC_FREQ	EQU	D'20000000'	; l'Oscillateur est  une frquence de 4 MHz

; misc.

TABLE_INDEX	EQU	0x30		; Index to table strings
COUNT		EQU	0x31		; A counter
COMPTEUR	EQU	0x32
CNT_TMP		EQU	0x33
CLAVIER		EQU	0x34

;*****************************************************************************
; Dclarations LCD
;*****************************************************************************
LCD_DATA	EQU	PORTB		; Lignes de donnes du LCD
LCD_DATA_TRIS	EQU	TRISB
LCD_CTRL	EQU	PORTC		; Lignes de Contrle du LCD

LCD_LINE0	EQU	0x00
LCD_LINE1	EQU	0x40

; PORTC bits
LCD_E		EQU	0		; LCD Enable control line
LCD_RW		EQU	1		; LCD Read/Write control line
LCD_RS		EQU	2		; LCD Register-Select control line

; misc.
LCD_TEMP	EQU	60		; LCD (variable temporaire)

;*****************************************************************************
; Dclarations DELAY
;*****************************************************************************
DELAY		EQU	0x40		; utilis dans DELAYxxx 
X_DELAY		EQU	0x41		; utilis dans X_DELAYxxx 

;*****************************************************************************
; Dclarations KBD
;*****************************************************************************
KBD_TEMP		EQU	0x50		; variable temporaire
KBD_INDEX		EQU	0x51		; index
KBD_ROW			EQU	0x52		; Range
;*****************************************************************************
		
	LIST
